image: node:6

variables:
  REPO_NAME: gitlab.com/enoplay/com-enoplayapis-app

before_script:
  - node -v
  - npm install

stages:
  - test
  - deploy

test:
  stage: test
  script:
    - npm run unit
  artifacts:
    paths:
      - node_modules/
      - dist/

deploy-dev:
  stage: deploy
  script:
    - apt-get update -yq
    - apt-get install -y ruby ruby-dev rubygems-integration
    - gem install dpl
    - dpl --provider=heroku --app=dev-com-enoplayapis-app --api-key=$HEROKU_API_KEY_DEV
  environment:
    name: dev-com-enoplayapis-app
    url: https://dev-com-enoplayapis-app.herokuapp.com
  only:
    - master

deploy-prod:
  stage: deploy
  script:
    - apt-get update -yq
    - apt-get install -y ruby ruby-dev rubygems-integration
    - gem install dpl
    - dpl --provider=heroku --app=com-enoplayapis-app --api-key=$HEROKU_API_KEY_PROD
  environment:
    name: com-enoplayapis-app
    url: https://app.enoplayapis.com
  only:
    - master
